osl::KisenFile Class Reference

「.kif」という拡張子を持つ棋泉形式ファイル. More...

`#include <kisen.h>`

## Public Member Functions

| KisenFile (const std::string &filename)
| ~KisenFile ()
size_t | size () const
NumEffectState | initialState () const
std::vector< Move > | moves (size_t index)
std::string | fileName () const
std::string | ipxFileName () const

## Static Public Member Functions

static std::string | ipxFileName (const std::string &)

## Static Public Attributes

static const size_t | MaxMoves =256

## Private Attributes

NumEffectState | initial_state
std::ifstream | ifs
size_t | number_of_games
const std::string | filename

## Detailed Description

「.kif」という拡張子を持つ棋泉形式ファイル.

手のみの情報が入っている

Definition at line 24 of file kisen.h.

## Constructor & Destructor Documentation

## KisenFile()

osl::record::KisenFile::KisenFile | ( | const std::string & | filename | ) |

explicit

Definition at line 84 of file kisen.cc.

## ~KisenFile()

osl::record::KisenFile::~KisenFile | ( |  | ) |

Definition at line 272 of file kisen.cc.

## Member Function Documentation

## fileName()

std::string osl::record::KisenFile::fileName | ( |  | ) | const

inline

Definition at line 38 of file kisen.h.

## initialState()

NumEffectState osl::record::KisenFile::initialState | ( |  | ) | const

inline

Definition at line 36 of file kisen.h.

## ipxFileName() [1/2]

std::string osl::record::KisenFile::ipxFileName | ( |  | ) | const

inline

Definition at line 39 of file kisen.h.

Referenced by osl::rating::BradleyTerry::accumulate().

## ipxFileName() [2/2]

std::string osl::record::KisenFile::ipxFileName | ( | const std::string & | filename | ) |

static

Definition at line 123 of file kisen.cc.

## moves()

std::vector< osl::Move > osl::record::KisenFile::moves | ( | size_t | index | ) |

Definition at line 94 of file kisen.cc.

## size()

size_t osl::record::KisenFile::size | ( |  | ) | const

inline

Definition at line 35 of file kisen.h.

## Member Data Documentation

## filename

const std::string osl::record::KisenFile::filename

private

Definition at line 29 of file kisen.h.

## ifs

std::ifstream osl::record::KisenFile::ifs

private

Definition at line 27 of file kisen.h.

## initial_state

NumEffectState osl::record::KisenFile::initial_state

private

Definition at line 26 of file kisen.h.

## MaxMoves

const size_t osl::record::KisenFile::MaxMoves =256

static

Definition at line 31 of file kisen.h.

## number_of_games

size_t osl::record::KisenFile::number_of_games

private

Definition at line 28 of file kisen.h.

The documentation for this class was generated from the following files:

- kisen.h
- kisen.cc